#include "../include/Logging.h"
#include "PC2CarLib/CommandSender.h"

int main()
{
    networking::Networking net;
    pc::Logging logging{10207};
    pc2car::CommandSender commandSender{net, "127.0.0.1"};

    std::thread commandThread{
        [&commandSender]
        {
            float speed = 0.0f;
            while (true)
            {
                using namespace std::chrono_literals;
                commandSender.setPlatoonSpeed(speed++);
                std::this_thread::sleep_for(1s);
            }
        }};

    logging.start();
    return 0;
}